=== debian/control ===
Source: mkpxeinitrd-net
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@stevenshiau.org>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9), wget
Standards-Version: 3.9.3
Homepage: http://drbl.org/

Package: mkpxeinitrd-net
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, kmod, procps, drbl (>= 2.15.14)
Description: Build initial ramdisk images for DRBL clients
 mkpxeinitrd-net is a derived program from mkinitrd-net.
 mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable
 for use with PXE and Etherboot (Using PXE compatible mode) network-booting
 software.  This package contains one main utility: mkpxeinitrd-net
 (to build an initrd containing a specified set of network-card modules).
 mkpxeinitrd-net uses code from busybox project, too.
