## mkpxeinitrd-net 2.3.9

=== debian/changelog ===
mkpxeinitrd-net (2.3.9-drbl1) unstable; urgency=low

  * Sync the version number with RPM.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Jan 2016 21:11:28 +0800
