=== debian/changelog ===
mkpxeinitrd-net (2.5.8-drbl1) unstable; urgency=medium

  * Use "sleep 1" instead of "sleep 0.1" which won't work for busybox,
    although we have included a sleep supporting it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Jul 2023 10:33:52 +0800

mkpxeinitrd-net (2.5.7-drbl1) unstable; urgency=medium

  * New upstream busybox 1.36.0.
  * Use "chroot root:root" instead of "chroot root.root" in
    initrd/mkpxeinitrd-net.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 23 Jul 2023 16:44:23 +0800

mkpxeinitrd-net (2.5.6-drbl1) unstable; urgency=medium

  * Bug fixed: support /lib is linked to /usr/lib/.
    Thanks to Dr. Yu for reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 26 Dec 2022 22:13:20 +0800

mkpxeinitrd-net (2.5.5-drbl1) unstable; urgency=medium

  * Bug fixed: support Linux kernel 6.0.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 16:29:24 +0800

mkpxeinitrd-net (2.5.4-drbl1) unstable; urgency=medium

  * mkpxeinitrd-net: accept Linux kernel v6.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 15:59:21 +0800

mkpxeinitrd-net (2.5.3-drbl1) unstable; urgency=medium

  * Remove the warning color about is CRAMFS or ext2 file system.
  * New upstream busybox 1.35.0.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 May 2022 10:07:11 +0800

mkpxeinitrd-net (2.5.2-drbl1) unstable; urgency=medium

  * Bug fixed: Allow mkpxeinitrd-net works for Linux kernel 5,
    need to fix one more part.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 May 2019 15:05:55 +0800

mkpxeinitrd-net (2.5.1-drbl1) unstable; urgency=medium

  * Allow mkpxeinitrd-net works for Linux kernel 5.
  * New upstream busybox 1.30.1.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 May 2019 14:47:53 +0800

mkpxeinitrd-net (2.4.3-drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream busybox 1.28.4.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 Jun 2018 10:04:21 +0800

mkpxeinitrd-net (2.4.2-drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream busybox 1.27.2.
  * Disable the support for Linux kernel 2.2/2.4 module utility.
    It does not support ARM64.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Nov 2017 15:29:12 +0800
