## mkpxeinitrd-net 2.6.1

=== debian/changelog ===
mkpxeinitrd-net (2.6.1-drbl3) unstable; urgency=medium

  * Fixed links in Makefile. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Sep 2025 21:18:59 +0800

mkpxeinitrd-net (2.6.1-drbl2) unstable; urgency=medium

  * Fixed the path in Makefile. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Sep 2025 20:54:18 +0800

mkpxeinitrd-net (2.6.1-drbl1) unstable; urgency=medium

  * Switched to use /usr/{sbin,bin,lib,lib64} mainly instead of
    {sbin,bin,lib,lib64}.
    This will make it work better in Debian 13.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Sep 2025 20:22:49 +0800
